MediaWiki:Common.css

From SHA2017 Wiki
Revision as of 23:14, 21 February 2017 by Sha2017.org-dwizzy (talk | contribs)

Jump to: navigation, search

Note: After saving, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Go to Menu → Settings (Opera → Preferences on a Mac) and then to Privacy & security → Clear browsing data → Cached images and files.
/* CSS placed here will be applied to all skins */

.mw-wiki-logo {
    background-image: url('/images/5/52/Shawiki.png') !important;
}


/* How to make it go 100% or be static? Do we have to stretch an image or something? It's a bit ugly now... */
.mediawiki {
    background-image:url("images/2/28/Screen_Shot_2017-01-04_at_15.23.19.png");
    background-repeat: repeat-x;
    background-size: 600% 600%;    
}

#mw-head {
    background: rgb(161,219,255);
    background: -moz-linear-gradient(top, rgba(161,219,255,1) 1%, rgba(240,249,255,1) 99%);
    background: -webkit-linear-gradient(top, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
    background: linear-gradient(to bottom, rgba(161,219,255,1) 1%,rgba(240,249,255,1) 99%);
}



/* [[Template:ToDo]] START */
table.mbox-style {
    border-left: 10px solid #fc3;
}

table.mbox {
    margin: 0 10%;
    border: 1px solid #a2a9b1;
    border-left: 10px solid #36c;
    background: #fbfbfb;
}
.ambox td.mbox-image {
    padding: 2px 0 2px 0.5em;
}
td.mbox-image {
    border: none;
    padding: 2px 0 2px 0.9em;
    text-align: center;
}
.mbox th.mbox-text, .mbox td.mbox-text {
    padding: 0.25em 0.5em;
}
th.mbox-text, td.mbox-text {
    border: none;
    padding: 0.25em 0.9em;
    width: 100%;
}
/* [[Template:ToDo]] END */

/* [[Template:Countdown]] START */
/* the countdown clock on the front page of the wiki. See common.js for the script. */
#clockdiv{
	font-family: sans-serif;
	color: #fff;
	display: inline-block;
	font-weight: 100;
	text-align: center;
	font-size: 30px;
}

#clockdiv > div{
	padding: 10px;
	border-radius: 3px;
	background: #00BF96;
	display: inline-block;
        margin-left: 10px;
}

#clockdiv div > span{
	padding: 15px;
	border-radius: 3px;
	background: #00816A;
	display: inline-block;
        width:50px;
        height:50px;
}

.clocksmalltext{
	padding-top: 5px;
	font-size: 16px;
}
/* [[Template:Countdown]] END */

/* [[Template:FAQ]] START */
.metadata-faq {
  font-size: 10px;
  border: collapsed;
  line-height: 12px;
}
/* [[Template:FAQ]] END */


.mw-body .firstHeading {
    padding: 20px;
    margin: -16px;
    padding-left: 24px;
    padding-right: 24px;
}

@media screen and (min-width: 982px) {
    .mw-body .firstHeading {
        padding: 20px;
        margin: -24px;
margin-top: -20px
        padding-left: 24px;
        padding-right: 24px;
    }
}

@font-face {
    font-family: 'robotoblack';
    src: url('/design/font/roboto_black/Roboto-Black-webfont.eot');
    src: url('/design/font/roboto_black/Roboto-Black-webfont.eot?#iefix') format('embedded-opentype'),
         url('/design/font/roboto_black/Roboto-Black-webfont.woff') format('woff'),
         url('/design/font/roboto_black/Roboto-Black-webfont.ttf') format('truetype'),
         url('/design/font/roboto_black/Roboto-Black-webfont.svg#robotoblack') format('svg');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'robotoregular';
    src: url('/design/font/roboto_regular/Roboto-Regular-webfont.eot');
    src: url('/design/font/roboto_regular/Roboto-Regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.woff') format('woff'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.ttf') format('truetype'),
         url('/design/font/roboto_regular/Roboto-Regular-webfont.svg#robotoblack') format('svg');
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: 'robotoregular';
}

h1, h2, h3, h4 {
    font-family: 'robotoblack' !important;
}

/* per cpresser's request for the Form:Village; vertically align the options */
.checkboxLabelLineBreak:after { content: '\A'; white-space: pre-wrap;}